"""empty message

Revision ID: 1ab7162a2b80
Revises: 92a10ec92fee
Create Date: 2021-03-04 14:29:22.045745

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '1ab7162a2b80'
down_revision = '92a10ec92fee'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('ticketstatus', 'status_code',
               existing_type=mysql.INTEGER(),
               nullable=True)
    op.create_unique_constraint(None, 'ticketstatus', ['status_code'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'ticketstatus', type_='unique')
    op.alter_column('ticketstatus', 'status_code',
               existing_type=mysql.INTEGER(),
               nullable=False)
    # ### end Alembic commands ###
